JUCE: MPEValue Class Reference

JUCE

Public Member Functions | Static Public Member Functions | List of all members
MPEValue Class Reference
juce_audio_basics » mpe

This class represents a single value for any of the MPE dimensions of control. More...

`#include <juce_MPEValue.h>`

## Public Member Functions
| MPEValue () noexcept
| Default constructor. More...
int | as7BitInt () const noexcept
| Retrieves the current value as an integer between 0 and 127. More...
int | as14BitInt () const noexcept
| Retrieves the current value as an integer between 0 and 16383. More...
float | asSignedFloat () const noexcept
| Retrieves the current value mapped to a float between -1.0f and 1.0f. More...
float | asUnsignedFloat () const noexcept
| Retrieves the current value mapped to a float between 0.0f and 1.0f. More...
bool | operator== (const MPEValue &other) const noexcept
| Returns true if two values are equal. More...
bool | operator!= (const MPEValue &other) const noexcept
| Returns true if two values are not equal. More...

## Static Public Member Functions
static MPEValue | from7BitInt (int value) noexcept
| Constructs an MPEValue from an integer between 0 and 127 (using 7-bit precision). More...
static MPEValue | from14BitInt (int value) noexcept
| Constructs an MPEValue from an integer between 0 and 16383 (using 14-bit precision). More...
static MPEValue | fromUnsignedFloat (float value) noexcept
| Constructs an MPEValue from a float between 0.0f and 1.0f. More...
static MPEValue | fromSignedFloat (float value) noexcept
| Constructs an MPEValue from a float between -1.0f and 1.0f. More...
static MPEValue | centreValue () noexcept
| Constructs an MPEValue corresponding to the centre value. More...
static MPEValue | minValue () noexcept
| Constructs an MPEValue corresponding to the minimum value. More...
static MPEValue | maxValue () noexcept
| Constructs an MPEValue corresponding to the maximum value. More...

## Detailed Description

This class represents a single value for any of the MPE dimensions of control.

It supports values with 7-bit or 14-bit resolutions (corresponding to 1 or 2 MIDI bytes, respectively). It also offers helper functions to query the value in a variety of representations that can be useful in an audio or MIDI context.

## Constructor & Destructor Documentation

## ◆ MPEValue()

MPEValue::MPEValue | ( |  | ) |
| noexcept

Default constructor.

Constructs an MPEValue corresponding to the centre value.

## Member Function Documentation

## ◆ from7BitInt()

static MPEValue MPEValue::from7BitInt | ( | int | value | ) |
| staticnoexcept

Constructs an MPEValue from an integer between 0 and 127 (using 7-bit precision).

## ◆ from14BitInt()

static MPEValue MPEValue::from14BitInt | ( | int | value | ) |
| staticnoexcept

Constructs an MPEValue from an integer between 0 and 16383 (using 14-bit precision).

## ◆ fromUnsignedFloat()

static MPEValue MPEValue::fromUnsignedFloat | ( | float | value | ) |
| staticnoexcept

Constructs an MPEValue from a float between 0.0f and 1.0f.

## ◆ fromSignedFloat()

static MPEValue MPEValue::fromSignedFloat | ( | float | value | ) |
| staticnoexcept

Constructs an MPEValue from a float between -1.0f and 1.0f.

## ◆ centreValue()

static MPEValue MPEValue::centreValue | ( |  | ) |
| staticnoexcept

Constructs an MPEValue corresponding to the centre value.

## ◆ minValue()

static MPEValue MPEValue::minValue | ( |  | ) |
| staticnoexcept

Constructs an MPEValue corresponding to the minimum value.

## ◆ maxValue()

static MPEValue MPEValue::maxValue | ( |  | ) |
| staticnoexcept

Constructs an MPEValue corresponding to the maximum value.

## ◆ as7BitInt()

int MPEValue::as7BitInt | ( |  | ) | const
| noexcept

Retrieves the current value as an integer between 0 and 127.

Information will be lost if the value was initialised with a precision higher than 7-bit.

## ◆ as14BitInt()

int MPEValue::as14BitInt | ( |  | ) | const
| noexcept

Retrieves the current value as an integer between 0 and 16383.

Resolution will be lost if the value was initialised with a precision higher than 14-bit.

## ◆ asSignedFloat()

float MPEValue::asSignedFloat | ( |  | ) | const
| noexcept

Retrieves the current value mapped to a float between -1.0f and 1.0f.

## ◆ asUnsignedFloat()

float MPEValue::asUnsignedFloat | ( |  | ) | const
| noexcept

Retrieves the current value mapped to a float between 0.0f and 1.0f.

## ◆ operator==()

bool MPEValue::operator== | ( | const MPEValue & | other | ) | const
| noexcept

Returns true if two values are equal.

## ◆ operator!=()

bool MPEValue::operator!= | ( | const MPEValue & | other | ) | const
| noexcept

Returns true if two values are not equal.

The documentation for this class was generated from the following file:

- juce_MPEValue.h